<?php

include('../../functions.php');

for ($year = 2009; $year < 2013; $year++)
{
    print "-------------------\n";
    print $year . "\n";
    $massnahmen = getMassnahmen($year);
asort($massnahmen);
    foreach ($massnahmen as $name => $anzahl) {
        List($name, $punkte) = explode('::',$name);
        print $name . ";" . $punkte . ";" . $anzahl. "\n";
    }
}

function getMassnahmen($year)
{    
    $massnahmen = array();
    $startdatum = mktime(0,0,0,1,1,$year);
    $enddatum = mktime(0,0,0,1,1,$year+1);

    $query = "SELECT COUNT(unterkategorie) AS anzahl,
            unterkategorie, unterkategorie.name AS name, punkte
        FROM kontobewegungen, unterkategorie
        WHERE datum >= $startdatum
        AND datum < $enddatum
        AND unterkategorie != 0 
        AND unterkategorie = unterkategorie.pkey
        AND name != 'Interne Notiz'
        GROUP BY unterkategorie
        ORDER BY (anzahl)";
    $result = dbQuery($query)
        or die (dbError());
    while ($row = dbFetchRow($result, MYSQL_ASSOC))
    {
        $anzahl = $row['anzahl'];
        $name = $row['name'];
        $punkte = $row['punkte'];
        $massnahmen[$name . '::' . $punkte] = $anzahl;
    }
    return $massnahmen;

}

